#include <iostream>
#include <vector>
using namespace std;

int main()
{
	int n = 0, l = 0;
	cin >> n >> l;
	for (int i = 0; i < n; i++)
	{
		int temp = 0;
		cin >> temp;
		if (temp <= l)
		{
			cout << i + 1 << endl;
			exit(0);
		}
	}
	cout << "-1" << endl;

	return 0;
}